@font-face {
  font-family: firacode;
  src: url(/firacode.ttf);
}

html {
  scrollbar-gutter: stable;
}

.gbody {
    position: relative;
    background-color: #f4ecd8;
    width: 1000px;
    margin: 40px auto;
    font-family: arial;
    font-size: 20px;
    padding: 20px;
}

.gempty1 {
	display: inline-block;
	width: 1000px;
	height: 50px;
	border-bottom: solid 1px #000000;
	}

.gempty {
	display: inline-block;
	width: 1000px;
	height: 70px;
	}
	
.imgbig {
	width: 100%;
	display: block;
	margin-left: auto;
	margin-right: auto;
	}
	
.imgsma {
	width: 60%;
	display: block;
	margin-left: auto;
	margin-right: auto;
	}
	
img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	border: solid 2px #000000;
	}

p {
	padding-top: 15px;
	padding-bottom: 15px;
	#padding-top: 30px;
	#padding-bottom: 100px;
	#border-bottom: solid 3px #000000;
	}

pre {
	padding-top: 15px;
	padding-bottom: 15px;
	#padding-top: 30px;
	#padding-bottom: 100px;
	#border-bottom: solid 3px #000000;
	background-color: #f4ecd8;
	width: 1000px;
	margin: 40px auto;
	font-family: arial;
	font-size: 20px;
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */	
	}
	
pre.codes {
	display: inline-block;
	background-color: #c3c3c3;
	padding: 5px;
	font-family: 'Courier New', monospace;
	font-size: 17px;
	white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
	width: auto;
	margin: 5px;
}

pre.codeb {
	max-width: 990px;
	width: auto;
	margin: 10px;
	background-color: #c3c3c3;
	padding: 5px;
	font-family: 'Courier New', monospace;
	font-size: 17px;
	white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
	}

.note {
	font-style: italic;
	color: #8a8a8a;
	}
	
a {
	color: #000000;
	background: #c9c1e7;
	border-radius: 3px;
	display: inline-block;
	padding: 2px 2px;
	margin: 0.5px 0;
	text-decoration: none;
	}
	
a:hover {
    color: #1e90ff;
		}
		
a.codes {
	color: #000000;
	background: #c4c4c4;
	font-family: firacode;
	font-size: 15px;
	display: inline;
	white-space: pre-wrap;
	word-wrap: break-word;
	overflow-wrap: break-word;
	max-width: 100%; 
    position: relative;
    top: -1px;
    margin: 0.5px 0.5px;
}

a.codeb {
	color: #000000;
	background: #c4c4c4;
	font-family: firacode;
	font-size: 15px;
	margin: 0.5px 0.5px;
	width: 997px;
    position: relative;
    bottom: -3px;
    padding: 9px;
	white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
}

.glogo {
	background: none;
	padding: 0px 0px;
	margin: auto;
	border: none;
	display: block;
        max-width: 500px;
	}
		
.galogo {
	background: none;
	padding: 0px 0px;
	margin: auto;
	border: none;
	display: block;
        max-width: 500px;
	}
	
.gogal {
	color: transparent;
	font-size: 0.1px;
	padding-top: 0px;
	padding-bottom: 0px;
	}
	
h1, h3 {
	max-width: 1000px;
	text-align: center;
	white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
	}
	
b.custom {
	display: inline-block;
	padding-bottom: 7px;
	}
    
.divider {
  font-size: 20px;
  align-items: center;
  display: flex;
  margin: 0 auto;
  width: 300px;
  
}

.divider::before, .divider::after {
  flex: 1;
  content: '';
  padding: 1px;
  background-color: #000000;
  margin: 5px;
  
}
